import { jsonError } from "../../common.js";

export async function onRequestDelete(context: RequestContext) {
  const path = context.data.body?.id;

  if (typeof path !== "string") return jsonError("Invalid path", 400);

  await context.env.D1.prepare(
    "DELETE FROM short_links WHERE path = ? AND user = ?;",
  )
    .bind(path, context.data.current_user.id)
    .run();

  return new Response(null, {
    status: 204,
  });
}
